summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorkaptoxic2015-09-08 16:27:39 -0400
committerkaptoxic2015-09-08 16:27:39 -0400
commita4364c46d063d831f6357c92a30ada83372e81e3 (patch)
treed0ffb06f82368b54c5cc81993f5a32b3d14e9bd3 /PKGBUILD
parent567c23e15adabcf2583cfa9738a20551dd3618f8 (diff)
downloadaur-swfdec.tar.gz
Fix the build with a hack
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD13
1 files changed, 11 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 44d31ea4706..82ffc439229 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,14 +9,23 @@ depends=('gtk2>=2.14.6' 'libsoup>=2.24.2.1' 'alsa-lib>=1.0.18' 'liboil>=0.3.15'
makedepends=('gtk-doc>=1.6')
optdepends=('gstreamer0.10-ffmpeg: most common audio/video format for internet flash')
options=(!libtool)
-source=(http://swfdec.freedesktop.org/download/$pkgname/0.8/$pkgname-$pkgver.tar.gz)
-md5sums=(aece501d0e73f3e564200a44ec03c385)
+source=(http://swfdec.freedesktop.org/download/$pkgname/0.8/$pkgname-$pkgver.tar.gz
+SwfdecPlayer.xml
+SwfdecAsFunction.xml
+)
+md5sums=(aece501d0e73f3e564200a44ec03c385
+'SKIP'
+'SKIP'
+)
build() {
cd "$srcdir/$pkgname-$pkgver"
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
--disable-static --enable-gtk --enable-gstreamer --enable-gtk-doc \
--with-audio=alsa
+
+ make || true
+ /bin/cp -f -t ./doc/xml/ ../SwfdecAsFunction.xml ../SwfdecPlayer.xml
make
}